%global url     https://github.com/tdunning/%{name}

Name:           t-digest
Version:        3.0
Release:        2%{?dist}
Summary:        A new data structure for on-line accumulation of statistics
License:        ASL 2.0
URL:            %{url}
Source0:        %{url}/archive/%{name}-%{version}.tar.gz
#grep -ir -e "<p/>"
#sed "s;<p/>;<br>;g"  -i src/main/java/com/tdunning/math/stats/TDigest.java
#sed "s;<p/>;<br>;g"  -i src/main/java/com/tdunning/math/stats/TreeDigest.java
#sed "s;<p/>;<br>;g"  -i src/main/java/com/tdunning/math/stats/ArrayDigest.java
Patch0:         jdk8-javadoc.patch
BuildArch:      noarch

BuildRequires:  maven-local

Requires:  java

%description
A new data structure for accurate on-line accumulation of rank-based statistics
eg. quantiles and trimmed means. The t-digest algorithm is also very parallel
friendly making it useful in map-reduce and parallel streaming applications.

%package        javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q
%patch0

%build
#skipping tests, they requires currently unpacked depndences
%mvn_build  --force

%install
%mvn_install

%files -f .mfiles
%doc README.md
%doc LICENSE NOTICES
%dir %{_javadir}/%{name}

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICES

%changelog
* Mon Jul 13 2015 Jiri Vanek <jvanek@redhat.com> - 3.0-2
- added  patch0, jdk8-javadoc.patch (will be upstreamed)

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jul 20 2014 Jiri Vanek <jvanek@redhat.com> - 3.0-1
- Initial packaging
